<?php
session_start();
    header('Access-Control-Allow-Origin:*');
    header('Content-Type; application/json; charset=utf-8');
    header('Access-control-Allow-Method: POST');
    header('Access-control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-request-With');
    include('db.php');
        $inputdata = json_decode(file_get_contents("php://input"), true);
        $nom = $inputdata['nom'];
        $pub=$db->prepare('SELECT id FROM repas WHERE nom=?');
        $pub->execute(array($nom));
        $image = $pub->fetchObject();    
        echo(json_encode(['data' => $image]));